Bug 1267729 - [abrt] workrave: Gtk::Widget::gobj(): workrave killed by SIGSEGV [NEEDINFO]
[abrt] workrave: Gtk::Widget::gobj(): workrave killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: workrave (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yaakov Selkowitz
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b4da0bfb94d80ba2a6a65213d0f...
:
: 1290067 (view as bug list)
Depends On: 1285442
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 15:27 EDT by Brandon J. Wyman
Modified: 2016-03-09 15:49 EST (History)
18 users (show)

See Also:
Fixed In Version: workrave-1.10.10-1.fc23 workrave-1.10.10-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 15:25:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lzap: needinfo? (i)


Attachments (Terms of Use)
File: backtrace (35.15 KB, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: core_backtrace (11.78 KB, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: dso_list (10.76 KB, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: environ (1.50 KB, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: maps (55.30 KB, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: mountinfo (3.05 KB, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: open_fds (831 bytes, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details
File: var_log_messages (295 bytes, text/plain)
2015-09-30 15:27 EDT, Brandon J. Wyman
no flags Details

  None (edit)
Description Brandon J. Wyman 2015-09-30 15:27:04 EDT
Description of problem:
Install Fedora 23 XFCE spin
sudo dnf install workrave.x86_64
add panel launcher, ...workrave
click workrave launcher button
workrave pop-up and crash

Version-Release number of selected component:
workrave-1.10-9.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        workrave
crash_function: Gtk::Widget::gobj
executable:     /usr/bin/workrave
global_pid:     2895
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Gtk::Widget::gobj at ../gtkmm/widget.h:370
 #1 Gtk::Widget::get_allocation at widget.cc:506
 #2 TimeBar::on_draw at TimeBar.cc:568
 #3 Gtk::Widget_Class::draw_callback at widget.cc:4436
 #4 _gtk_widget_draw_internal at gtkwidget.c:6847
 #6 _gtk_widget_draw_windows at gtkwidget.c:6948
 #7 _gtk_widget_draw at gtkwidget.c:7019
 #8 gtk_container_propagate_draw at gtkcontainer.c:3836
 #9 gtk_container_draw at gtkcontainer.c:3671
 #10 Gtk::Widget::on_draw at widget.cc:7813
Comment 1 Brandon J. Wyman 2015-09-30 15:27:07 EDT
Created attachment 1078782 [details]
File: backtrace
Comment 2 Brandon J. Wyman 2015-09-30 15:27:08 EDT
Created attachment 1078783 [details]
File: cgroup
Comment 3 Brandon J. Wyman 2015-09-30 15:27:09 EDT
Created attachment 1078784 [details]
File: core_backtrace
Comment 4 Brandon J. Wyman 2015-09-30 15:27:10 EDT
Created attachment 1078785 [details]
File: dso_list
Comment 5 Brandon J. Wyman 2015-09-30 15:27:11 EDT
Created attachment 1078786 [details]
File: environ
Comment 6 Brandon J. Wyman 2015-09-30 15:27:12 EDT
Created attachment 1078787 [details]
File: exploitable
Comment 7 Brandon J. Wyman 2015-09-30 15:27:13 EDT
Created attachment 1078788 [details]
File: limits
Comment 8 Brandon J. Wyman 2015-09-30 15:27:14 EDT
Created attachment 1078789 [details]
File: maps
Comment 9 Brandon J. Wyman 2015-09-30 15:27:15 EDT
Created attachment 1078790 [details]
File: mountinfo
Comment 10 Brandon J. Wyman 2015-09-30 15:27:16 EDT
Created attachment 1078791 [details]
File: namespaces
Comment 11 Brandon J. Wyman 2015-09-30 15:27:17 EDT
Created attachment 1078792 [details]
File: open_fds
Comment 12 Brandon J. Wyman 2015-09-30 15:27:18 EDT
Created attachment 1078793 [details]
File: proc_pid_status
Comment 13 Brandon J. Wyman 2015-09-30 15:27:19 EDT
Created attachment 1078794 [details]
File: var_log_messages
Comment 14 David Gibson 2015-11-03 23:16:10 EST
Another user experienced a similar problem:

After updating to Fedora 23, workrave appears to SEGV whenever it is started.

I am running it under MATE, if that's relevant.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        workrave
crash_function: Gtk::Widget::gobj
executable:     /usr/bin/workrave
global_pid:     15203
kernel:         4.2.3-200.fc22.x86_64
package:        workrave-1.10-9.fc23
reason:         workrave killed by SIGSEGV
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 15 Daniel Lobato Garcia 2015-11-04 06:03:39 EST
Same here, on GNOME 3.18 it segfaults whenever it's tarted
Comment 16 Daniel Lobato Garcia 2015-11-04 06:06:40 EST
https://bugs.archlinux.org/task/46621 seems like gtkmm30 3.18 is the issue, anything above 3.16 breaks it
Comment 17 Tim Waugh 2015-11-05 04:09:41 EST
Another user experienced a similar problem:

Started the application.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        workrave
crash_function: Gtk::Widget::gobj
executable:     /usr/bin/workrave
global_pid:     6682
kernel:         4.2.3-300.fc23.x86_64
package:        workrave-1.10-9.fc23
reason:         workrave killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Brandon J. Wyman 2015-11-23 14:54:03 EST
Downgrade to 3.16.0-1 from fc22 did not fix it on Fedora 23:
$ sudo dnf --showduplicates --allowerasing --releasever=22 --best downgrade gtkmm30
...
  Downgrading : gtkmm30-3.16.0-1.fc22.x86_64                                                                                 1/2 
  Erasing     : gtkmm30-3.18.0-1.fc23.x86_64                                                                                 2/2 
  Verifying   : gtkmm30-3.16.0-1.fc22.x86_64                                                                                 1/2 
  Verifying   : gtkmm30-3.18.0-1.fc23.x86_64                                                                                 2/2 

Downgraded:
  gtkmm30.x86_64 3.16.0-1.fc22                                                                                                   

Complete!
$ 

$ workrave 
workrave: symbol lookup error: workrave: undefined symbol: _ZN3Gtk5Image3setERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE
$
Comment 19 Lukas Zapletal 2015-12-01 02:40:56 EST
Is there a workaround? My eyes hurt, this is awesome tool and I miss it so much!
Comment 20 Lukas Zapletal 2015-12-01 02:54:33 EST
Ok compiled from development branch, it works fine.

Reported upstream here, but pulled the report back since it works fine: http://issues.workrave.org/show_bug.cgi?id=1227
Comment 21 Lukas Zapletal 2015-12-01 02:58:29 EST
Okay it looks like the old tarball directory is no longer in use and author moved it to github. We need to update our watchdog. Branch 1_10 does work too.
Comment 22 Lukas Zapletal 2015-12-01 07:44:03 EST
I have updated https://release-monitoring.org/project/5144/

Doing scratchbuilds of the new version, but getting:

debugedit: canonicalization unexpectedly shrank by one character

Any ideas? http://koji.fedoraproject.org/koji/taskinfo?taskID=12021466
Comment 23 Lukas Zapletal 2015-12-01 10:27:53 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=12022949

[lzap@lzapx workrave]$ gd
diff --git a/workrave.spec b/workrave.spec
index e38d69c..c1f4ec1 100644
--- a/workrave.spec
+++ b/workrave.spec
@@ -1,16 +1,15 @@
+%define _version 1_10_8
+
 Name: workrave
-Version: 1.10
-Release: 9%{?dist}
+Version: 1.10.8
+Release: 1%{?dist}
 Summary: Program that assists in the recovery and prevention of RSI
 # Based on older packages by Dag Wieers <dag@wieers.com> and Steve Ratcliffe
 License: GPLv3+
 Group: Applications/Productivity
 URL: http://www.workrave.org/
-# Using github checkout:
-# https://github.com/rcaelers/workrave
-# Source0: http://downloads.sourceforge.net/workrave/%{name}-%{version}.tar.gz
-Source0: https://github.com/rcaelers/workrave/archive/%{commit}/%{name}-%{version}.tar.gz
-Patch1: workrave-6f9bc5d-fix-desktop-translation.patch
+Source0: v%{_version}.tar.gz
+Patch0: workrave-debuginfo-path.patch
 
 BuildRequires: glib2-devel >= 2.28.0
 BuildRequires: gtk3-devel >= 3.0.0
@@ -30,7 +29,7 @@ BuildRequires: gstreamer-devel
 BuildRequires: intltool
 BuildRequires: python-cheetah
 BuildRequires: pulseaudio-libs-devel
-BuildRequires: autoconf, automake, libtool
+BuildRequires: autoconf, autoconf-archive, automake, libtool
 
 Requires: dbus
 
@@ -47,8 +46,8 @@ Summary: Development files for workrave
 Development files for workrave.
 
 %prep
-%setup -q
-%patch1 -p1 -b .fixpl
+%setup -q -n %{name}-%{_version}
+%patch0 -p1
 touch ChangeLog
 
 %build
@@ -97,6 +96,9 @@ desktop-file-install \
 %{_libdir}/girepository-1.0/Workrave-1.0.typelib
 #%{_libexecdir}/workrave-applet
 %{_libdir}/libworkrave-private-1.0.so.*
+%{_datarootdir}/appdata/workrave.appdata.xml
+%{_datarootdir}/cinnamon/applets/workrave@workrave.org/applet.js
+%{_datarootdir}/cinnamon/applets/workrave@workrave.org/metadata.json
 
 %files devel
 %{_datadir}/gir-1.0/Workrave-1.0.gir
[lzap@lzapx workrave]$ cat workrave-debuginfo-path.patch
diff -rupN workrave-1_10_8-orig/frontend/gtkmm/src/Makefile.am workrave-1_10_8/frontend/gtkmm/src/Makefile.am
--- workrave-1_10_8-orig/frontend/gtkmm/src/Makefile.am 2015-12-01 13:55:07.665877261 +0100
+++ workrave-1_10_8/frontend/gtkmm/src/Makefile.am      2015-12-01 13:55:25.020124057 +0100
@@ -53,7 +53,7 @@ resource.rc: resource.rc.in
                $(srcdir)/$@.in > $@
 
 # Additional distribution sources.
-DISTRIBUTION_HOME =    $(top_srcdir)/frontend/plugin/distribution/
+DISTRIBUTION_HOME =    $(top_srcdir)/frontend/plugin/distribution
 sourcesdistribution =  ../../plugin/distribution/gtkmm/src/NetworkJoinDialog.cc \
                        ../../plugin/distribution/gtkmm/src/NetworkLogDialog.cc \
                        ../../plugin/distribution/gtkmm/src/NetworkPreferencePage.cc
Comment 24 Brandon J. Wyman 2015-12-02 15:25:55 EST
Installed rpms from koji.
http://koji.fedoraproject.org/koji/taskinfo?taskID=12022949

Works now.
Comment 25 Adri Verhoef 2015-12-03 07:01:54 EST
Agreeing with Brandon J. Wyman, also installed from koji, problem fixed. Thanks!
Comment 26 Stanislav Kontar 2015-12-04 07:51:07 EST
Another user experienced a similar problem:

Updated to Fedora 23

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        workrave
crash_function: Gtk::Widget::gobj
executable:     /usr/bin/workrave
global_pid:     2501
kernel:         4.2.6-301.fc23.x86_64
package:        workrave-1.10-9.fc23
reason:         workrave killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 27 Lukas Zapletal 2015-12-08 09:59:55 EST
I applied for dist git push permissions, no response so far. I can update the package and do the update.
Comment 28 Lukas Zapletal 2015-12-08 10:05:03 EST
Okay hereby according to https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers workflow I am asking cicku to pong. :-)
Comment 29 Lukas Zapletal 2015-12-14 04:12:24 EST
*** Bug 1290067 has been marked as a duplicate of this bug. ***
Comment 30 Lukas Zapletal 2015-12-14 04:23:28 EST
For the record the debuginfo path issue filed upstream: https://github.com/rcaelers/workrave/pull/66
Comment 31 Fedora Admin XMLRPC Client 2015-12-26 07:05:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 32 Fedora Admin XMLRPC Client 2015-12-28 13:27:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 33 Sam Tuke 2016-01-07 13:00:39 EST
(In reply to Adri Verhoef from comment #25)
> Agreeing with Brandon J. Wyman, also installed from koji, problem fixed.
> Thanks!

Can't see an RPM to download there -- where did you download it? Sorry for newb question.
Comment 34 Brandon J. Wyman 2016-02-01 13:34:45 EST
Installed some updates today, workrave crashing again.

Upgraded:
  clang-libs.x86_64 3.7.0-4.fc23                                     curl.x86_64 7.43.0-5.fc23                                 
  firefox.x86_64 44.0-3.fc23                                         gtk-update-icon-cache.x86_64 3.18.7-1.fc23                
  gtk3.i686 3.18.7-1.fc23                                            gtk3.x86_64 3.18.7-1.fc23                                 
  imlib2.x86_64 1.4.7-1.fc23                                         kernel-headers.x86_64 4.3.4-300.fc23                      
  krb5-devel.x86_64 1.14-7.fc23                                      krb5-libs.i686 1.14-7.fc23                                
  krb5-libs.x86_64 1.14-7.fc23                                       krb5-workstation.x86_64 1.14-7.fc23                       
  libcurl.x86_64 7.43.0-5.fc23                                       libgdata.x86_64 0.17.4-2.fc23                             
  llvm-libs.x86_64 3.7.0-4.fc23                                      memtest86+.x86_64 5.01-11.fc23                            
  openssh.x86_64 7.1p2-3.fc23                                        openssh-askpass.x86_64 7.1p2-3.fc23                       
  openssh-clients.x86_64 7.1p2-3.fc23                                openssh-server.x86_64 7.1p2-3.fc23                        
  openssl.x86_64 1:1.0.2f-1.fc23                                     openssl-libs.i686 1:1.0.2f-1.fc23                         
  openssl-libs.x86_64 1:1.0.2f-1.fc23                                perf.x86_64 4.3.4-300.fc23                                
  qt5-qtdeclarative.x86_64 5.5.1-4.fc23                              rpm.x86_64 4.13.0-0.rc1.10.fc23                           
  rpm-build.x86_64 4.13.0-0.rc1.10.fc23                              rpm-build-libs.x86_64 4.13.0-0.rc1.10.fc23                
  rpm-libs.x86_64 4.13.0-0.rc1.10.fc23                               rpm-plugin-selinux.x86_64 4.13.0-0.rc1.10.fc23            
  rpm-plugin-systemd-inhibit.x86_64 4.13.0-0.rc1.10.fc23             rpm-python.x86_64 4.13.0-0.rc1.10.fc23                    
  rpm-python3.x86_64 4.13.0-0.rc1.10.fc23                            vte-profile.x86_64 0.42.3-1.fc23                          
  vte291.x86_64 0.42.3-1.fc23                                       

Process 9173 (workrave) of user 1000 dumped core.
                                                                
                                                                Stack trace of thread 9173:
                                                                #0  0x00007f57716c68a1 _ZNK3Gtk6Widget14get_allocationEv (libgtkmm-3.0.so.1)
                                                                #1  0x000056494d2bbbc0 _ZN7TimeBar7on_drawERKN5Cairo6RefPtrINS0_7ContextEEE (workrave)
                                                                #2  0x00007f57716cb781 _ZN3Gtk12Widget_Class13draw_callbackEP10_GtkWidgetP6_cairo (libgtkmm-3.0.so.1)
                                                                #3  0x00007f5770047057 _gtk_widget_draw_internal.part.89 (libgtk-3.so.0)
                                                                #4  0x00007f5770047457 _gtk_widget_draw_windows (libgtk-3.so.0)
                                                                #5  0x00007f5770047642 _gtk_widget_draw (libgtk-3.so.0)
                                                                #6  0x00007f576fe3f1db gtk_container_propagate_draw_internal (libgtk-3.so.0)
                                                                #7  0x00007f576fe438e2 gtk_container_draw (libgtk-3.so.0)
                                                                #8  0x00007f57716c02f9 _ZN3Gtk6Widget7on_drawERKN5Cairo6RefPtrINS1_7ContextEEE (libgtkmm-3.0.so.1)
                                                                #9  0x00007f57716cb781 _ZN3Gtk12Widget_Class13draw_callbackEP10_GtkWidgetP6_cairo (libgtkmm-3.0.so.1)
                                                                #10 0x00007f5770047057 _gtk_widget_draw_internal.part.89 (libgtk-3.so.0)
                                                                #11 0x00007f5770047663 _gtk_widget_draw (libgtk-3.so.0)
                                                                #12 0x00007f576fe3f1db gtk_container_propagate_draw_internal (libgtk-3.so.0)
                                                                #13 0x00007f576fe438e2 gtk_container_draw (libgtk-3.so.0)
                                                                #14 0x00007f5770051af9 gtk_window_draw (libgtk-3.so.0)
                                                                #15 0x00007f57716c02f9 _ZN3Gtk6Widget7on_drawERKN5Cairo6RefPtrINS1_7ContextEEE (libgtkmm-3.0.so.1)
                                                                #16 0x00007f57716cb781 _ZN3Gtk12Widget_Class13draw_callbackEP10_GtkWidgetP6_cairo (libgtkmm-3.0.so.1)
                                                                #17 0x00007f5770047057 _gtk_widget_draw_internal.part.89 (libgtk-3.so.0)
                                                                #18 0x00007f5770047457 _gtk_widget_draw_windows (libgtk-3.so.0)
                                                                #19 0x00007f5770047642 _gtk_widget_draw (libgtk-3.so.0)
                                                                #20 0x00007f577004788b gtk_widget_send_expose (libgtk-3.so.0)
                                                                #21 0x00007f576fefbec2 gtk_main_do_event (libgtk-3.so.0)
                                                                #22 0x00007f576fa57f68 _gdk_window_process_updates_recurse_helper (libgdk-3.so.0)
                                                                #23 0x00007f576fa5909c gdk_window_process_updates_internal (libgdk-3.so.0)
                                                                #24 0x00007f576fa59253 gdk_window_process_updates_with_mode (libgdk-3.so.0)
                                                                #25 0x00007f576e2569d4 _g_closure_invoke_va (libgobject-2.0.so.0)
                                                                #26 0x00007f576e2712bd g_signal_emit_valist (libgobject-2.0.so.0)
                                                                #27 0x00007f576e271dc5 g_signal_emit_by_name (libgobject-2.0.so.0)
                                                                #28 0x00007f576fa521f7 gdk_frame_clock_paint_idle (libgdk-3.so.0)
                                                                #29 0x00007f576fa41658 gdk_threads_dispatch (libgdk-3.so.0)
                                                                #30 0x00007f576df58893 g_timeout_dispatch (libglib-2.0.so.0)
                                                                #31 0x00007f576df57e3a g_main_context_dispatch (libglib-2.0.so.0)
                                                                #32 0x00007f576df581d0 g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                                                                #33 0x00007f576df584f2 g_main_loop_run (libglib-2.0.so.0)
                                                                #34 0x00007f576fefb255 gtk_main (libgtk-3.so.0)
                                                                #35 0x000056494d295889 _ZN3GUI4mainEv (workrave)
                                                                #36 0x000056494d2c523b run (workrave)
                                                                #37 0x00007f576d0b5580 __libc_start_main (libc.so.6)
                                                                #38 0x000056494d296c59 _start (workrave)
                                                                
                                                                Stack trace of thread 9176:
                                                                #0  0x00007f576d18bfdd poll (libc.so.6)
                                                                #1  0x00007f576df5816c g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                                                                #2  0x00007f576df5827c g_main_context_iteration (libglib-2.0.so.0)
                                                                #3  0x00007f576df582b9 glib_worker_main (libglib-2.0.so.0)
                                                                #4  0x00007f576df7e835 g_thread_proxy (libglib-2.0.so.0)
                                                                #5  0x00007f576d45d60a start_thread (libpthread.so.0)
                                                                #6  0x00007f576d197a4d __clone (libc.so.6)
                                                                
                                                                Stack trace of thread 9175:
                                                                #0  0x00007f576d18bfdd poll (libc.so.6)
                                                                #1  0x00007f576c3d4272 _xcb_conn_wait (libxcb.so.1)
                                                                #2  0x00007f576c3d5c27 wait_for_reply (libxcb.so.1)
                                                                #3  0x00007f576c3d5d31 xcb_wait_for_reply (libxcb.so.1)
                                                                #4  0x00007f5771aa3197 _XReply (libX11.so.6)
                                                                #5  0x00007f5772e5aa5c XRecordEnableContext (libXtst.so.6)
                                                                #6  0x000056494d3044a0 _ZN18RecordInputMonitor3runEv (workrave)
                                                                #7  0x000056494d30b1ea _ZN6Thread12internal_runEv (workrave)
                                                                #8  0x000056494d30b20e _ZN6Thread14thread_handlerEPv (workrave)
                                                                #9  0x00007f576df7e835 g_thread_proxy (libglib-2.0.so.0)
                                                                #10 0x00007f576d45d60a start_thread (libpthread.so.0)
                                                                #11 0x00007f576d197a4d __clone (libc.so.6)
                                                                
                                                                Stack trace of thread 9177:
                                                                #0  0x00007f576d18bfdd poll (libc.so.6)
                                                                #1  0x00007f576df5816c g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                                                                #2  0x00007f576df584f2 g_main_loop_run (libglib-2.0.so.0)
                                                                #3  0x00007f576eef5336 gdbus_shared_thread_func (libgio-2.0.so.0)
                                                                #4  0x00007f576df7e835 g_thread_proxy (libglib-2.0.so.0)
                                                                #5  0x00007f576d45d60a start_thread (libpthread.so.0)
                                                                #6  0x00007f576d197a4d __clone (libc.so.6)
Comment 35 Brandon J. Wyman 2016-02-01 13:37:49 EST
$ sudo dnf list installed | grep -i workrave
workrave.x86_64                       1.10-9.fc23               @fedora         
workrave-debuginfo.x86_64             1.10.8-1.fc23             @@commandline   
workrave-devel.x86_64                 1.10-9.fc23               @fedora         
$
Comment 36 Andris Pavenis 2016-02-07 01:37:38 EST
Another user experienced a similar problem:

Start workrave from KDE start menu. It crashes immediately (shows shortly state disabled before that on tray)

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/workrave
crash_function: Gtk::Widget::gobj
executable:     /usr/bin/workrave
global_pid:     4935
kernel:         4.3.3-301.fc23.x86_64
package:        workrave-1.10-9.fc23
reason:         workrave killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 37 Fedora Update System 2016-02-26 17:15:33 EST
workrave-1.10.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-512f1582a3
Comment 38 Fedora Update System 2016-02-26 17:16:20 EST
workrave-1.10.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a5ec37671
Comment 39 Fedora Update System 2016-02-28 08:53:25 EST
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a5ec37671
Comment 40 Fedora Update System 2016-02-28 08:55:18 EST
workrave-1.10.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-512f1582a3
Comment 41 Brandon J. Wyman 2016-03-01 20:36:02 EST
While looking for other updates in updates-testing, I saw this workrave update, installed it, and all seems good:
$ sudo dnf --enablerepo=updates-testing update workrave
Contacting OpenClient Router for restricted repository information
Added restricted repo: RHEL-7-x86_64-crashplan
Added restricted repo: Fedora-23-x86_64-Licensed
Last metadata expiration check performed 0:00:57 ago on Tue Mar  1 19:29:31 2016.
Dependencies resolved.
====================================================================================================================================
 Package                     Arch                      Version                             Repository                          Size
====================================================================================================================================
Upgrading:
 workrave                    x86_64                    1.10.10-1.fc23                      updates-testing                    4.9 M
     replacing  workrave-devel.x86_64 1.10-9.fc23

Transaction Summary
====================================================================================================================================
Upgrade  1 Package

Total download size: 4.9 M
Is this ok [y/N]: y
Downloading Packages:
workrave-1.10-9.fc23_1.10.10-1.fc23.x86_64.drpm                                                      46 kB/s | 502 kB     00:10    
[DRPM] workrave-1.10-9.fc23_1.10.10-1.fc23.x86_64.drpm: done                                                                       
------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                19 kB/s | 502 kB     00:26     
Delta RPMs reduced 4.9 MB of updates to 0.5 MB (89.1% saved)
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Upgrading   : workrave-1.10.10-1.fc23.x86_64                                                                                  1/3 
  Obsoleting  : workrave-devel-1.10-9.fc23.x86_64                                                                               2/3 
  Cleanup     : workrave-1.10-9.fc23.x86_64                                                                                     3/3 
  Verifying   : workrave-1.10.10-1.fc23.x86_64                                                                                  1/3 
  Verifying   : workrave-1.10-9.fc23.x86_64                                                                                     2/3 
  Verifying   : workrave-devel-1.10-9.fc23.x86_64                                                                               3/3 

Upgraded:
  workrave.x86_64 1.10.10-1.fc23                                                                                                    

Complete!
$
Comment 42 Brandon J. Wyman 2016-03-01 20:46:45 EST
Annoyance.
I do not recall this behavior before, but just had my first microbreak.

My volume changed from 60% to 100% to alert me to take a break.

I turned volume back down.

Microbreak timer started, volume cranked back up to 100% again.

Why is this changing the volume?
Comment 43 Yaakov Selkowitz 2016-03-01 21:48:16 EST
(In reply to Brandon J. Wyman from comment #42)
> My volume changed from 60% to 100% to alert me to take a break.
> 
> I turned volume back down.
> 
> Microbreak timer started, volume cranked back up to 100% again.
> 
> Why is this changing the volume?

Without more information, I would guess this:

https://bugzilla.redhat.com/show_bug.cgi?id=1265267
Comment 44 Fedora Update System 2016-03-03 15:24:24 EST
workrave-1.10.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 45 Fedora Update System 2016-03-09 11:21:28 EST
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 46 Fedora Update System 2016-03-09 13:46:08 EST
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 47 Fedora Update System 2016-03-09 15:11:42 EST
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.